# Interface IntrospectionUtils.PropertySource

All Known Subinterfaces:
  `IntrospectionUtils.SecurePropertySource`

All Known Implementing Classes:
  `Digester.EnvironmentPropertySource, EnvironmentPropertySource, ServiceBindingPropertySource, SystemPropertySource`

Enclosing class:
  `IntrospectionUtils`

public static interface IntrospectionUtils.PropertySource
Interface for a source of named properties used during introspection.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getProperty(String key)`
  Returns the value of the property with the specified key.

- ## Method Details

  - ### getProperty

    String getProperty(String key)
    Returns the value of the property with the specified key.
    Parameters:
      `key` - The property key
    Returns:
      the property value, or `null` if not found